Subject: netlink sockets and rtm_newlink messages

From: "Patrick R. McManus" <[email-masked]>
Date: Thu, 26 Sep 2002 18:38:53 -0400

hello -

I've got a little userspace app that listens to a netlink socket and
filters for messages of type RTM_NEWLINK to check for interfaces going
up or down (checking ifi_flags to make that determination)..

the only stumbling point is that I each time I do something like
"ifconfig eth4 down" my app reads 2 identical RTM_NEWLINK messages
instead of one (same behavior on up case too.)

any thoughts on why? I didn't really know how to interpret sockaddr
nl.nl_groups.. 1 seems to give me the same duplicates as ~0.. 0 gives me nothing.

-Pat